### File

`packages/eui-dynamic-forms-ui/src/lib/components/container-field/data-table/pulled-ux-table/ux-table.component.ts`

### Extends

`MatPaginatorIntl`

### Implements

`OnDestroy`

### Index

###### Properties

- Public firstPageLabel
- getRangeLabel
- Public itemsPerPageLabel
- Public lastPageLabel
- Public nextPageLabel
- Public previousPageLabel
- Public rangeLabel

### Constructor

`constructor(translateService: TranslateService)`

Parameters :

Name | Type | Optional
translateService | `TranslateService` | No

### Properties

Public firstPageLabel
Type : `string`

getRangeLabel
Default value : `() => {...}`

Public itemsPerPageLabel
Type : `string`

Public lastPageLabel
Type : `string`

Public nextPageLabel
Type : `string`

Public previousPageLabel
Type : `string`

Public rangeLabel
Type : `string`

# result-matching ""

# No results matching ""